select a.ACCOUNTNAME
, a.INITIALBAL + total(t.TRANSAMOUNT) as Balance
, c.baseconvrate
, (a.INITIALBAL + total(t.TRANSAMOUNT))*c.baseconvrate as BaseCurrencyBalance
from
(select ACCOUNTID,  STATUS,
(case when TRANSCODE='Deposit' then TRANSAMOUNT else -TRANSAMOUNT end) as TRANSAMOUNT
from CHECKINGACCOUNT_V1
union all
select TOACCOUNTID, STATUS, TOTRANSAMOUNT
from CHECKINGACCOUNT_V1
where TRANSCODE='Transfer') as t
inner join ACCOUNTLIST_V1 as a on a.ACCOUNTID=t.ACCOUNTID
inner join CURRENCYFORMATS_V1 as c on a.CURRENCYID=c.CURRENCYID
where a.Status='Open'
and t.STATUS<>'V'
and a.accountname like 'BBP:%'
group by a.ACCOUNTID
order by ACCOUNTNAME;